Bug 76489 - Bad, installer crashes in Graphical, Text, or Upgrade mode.
Summary: Bad, installer crashes in Graphical, Text, or Upgrade mode.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 8.0
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-22 12:44 UTC by Robert Denize
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-25 01:08:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump of traceback issued by installation process. (72.11 KB, text/plain)
2002-10-22 12:48 UTC, Robert Denize
no flags Details

Description Robert Denize 2002-10-22 12:44:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
Installing Distribution from CDROM, crashes on reboot post package installation. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install new from CDROM using Graphical. Fail.
2. Install new from CDROM using Text option. Fail.
3. Upgrade from Distribution 7.1. Fail. Note, Distribution 7.1 installs OK.
	

Actual Results:  Installation fails after reboot on package install.
Result fatal.

Expected Results:  System boots ready for user to enter ID and Password.

Additional info:

Traceback:
File "/user/bin/anaconda" line 694 in ?
  intf.run (id, dispatch, configfileData)

Comment 1 Robert Denize 2002-10-22 12:48:44 UTC
Created attachment 81525 [details]
Dump of traceback issued by installation process.

Comment 2 Michael Fulbright 2002-10-23 15:43:28 UTC
Does it die after all packages have been installed or before?

Comment 3 Robert Denize 2002-10-25 01:08:31 UTC
Response on question "Does it die after all packages have been installed or
after". Ref Additional comment by msf@redhat.com on 2002-10-23 11:43:28

Answers:-
Conditional:- using graphical installation (GRUB or LILO choice) exception
occurs at "Begin Installation" (ie after Package Group Selection has been
completed).
Exception reads on screen as File "/usr/lib/anaconda/gui.py," line 786, in
handleRenderCallback.........
Unable to make a floppy copy, as screen buttons do not function (Back, Next,
Debug, Save to Floppy, OK, Hide Help). However, Release Notes button works ??
Note, Exception file report NOT same as originally attached to this bug report,
exception floppy report genterated from a linux text installation.

Linux text installation, using choice of GRUB or LILO now fail AFTER Group
Packages have been selected and at the "Prepare to Install" message. Get:-
Received Signal 11, Install exit, Sending Kill, Disable Swap,,.....

Comment 4 Robert Denize 2002-10-27 20:53:17 UTC
Change in memory size on PC platform resolved problem, Bug #76489.
Installed additional memory (double to 96MByte). Installation now completes and
system boots (graphical and text modes of installation). 
On system re-booting after successful installation still have video display
corruption/failure but that is another problem.
If same problem is experienced by others maybe an installation trap be
considered to test for sufficient memory and alarm as appropriate.
I consider this problem closed.


Note You need to log in before you can comment on or make changes to this bug.